libetonyek::IWORKXMLContextElement Class Reference

`#include <IWORKXMLContextBase.h>`

Inheritance diagram for libetonyek::IWORKXMLContextElement:

## Protected Member Functions
| IWORKXMLContextElement (IWORKXMLParserState &)
void | attribute (int name, const char *value) override
| Process an attribute.
void | text (const char *value) override
| Process textual content of an element.
const boost::optional< ID_t > & | getId () const
void | setId (const char *value)
Protected Member Functions inherited from libetonyek::IWORKXMLContextMinimal
| IWORKXMLContextMinimal ()
void | startOfElement () override
| Signalize the start of an element.
void | endOfElement () override
| Signalize the end of an element.

## Private Attributes
boost::optional< ID_t > | m_id

## Additional Inherited Members
Public Member Functions inherited from libetonyek::IWORKXMLContext
virtual | ~IWORKXMLContext ()=0
virtual IWORKXMLContextPtr_t | element (int name)=0
| Create a context for parsing a child element.
virtual void | CDATA (const char *value)
| Process CDATA content of an element.

## Constructor & Destructor Documentation

## ◆ IWORKXMLContextElement()

libetonyek::IWORKXMLContextElement::IWORKXMLContextElement | ( | IWORKXMLParserState & |  | ) |
| explicit protected

## Member Function Documentation

## ◆ attribute()

void libetonyek::IWORKXMLContextElement::attribute | ( | int | name,
|  | const char * | value )
| override protected virtual

Process an attribute.

Attributes are fed to the current element's context one by one.

Implements libetonyek::IWORKXMLContext.

Reimplemented in libetonyek::PAG1ShapeContext.

## ◆ getId()

const boost::optional< ID_t > & libetonyek::IWORKXMLContextElement::getId | ( |  | ) | const
| protected

Referenced by libetonyek::IWORKExternalTextWrapElement::attribute(), libetonyek::IWORKListLabelTypeinfoElement::attribute(), libetonyek::IWORKBinaryElement::endOfElement(), libetonyek::IWORKCellCommentDrawableInfoElement::endOfElement(), libetonyek::IWORKExternalTextWrapElement::endOfElement(), libetonyek::IWORKFillElement::endOfElement(), libetonyek::IWORKFilteredImageElement::endOfElement(), libetonyek::IWORKImageElement::endOfElement(), libetonyek::IWORKListLabelTypeinfoElement::endOfElement(), libetonyek::IWORKMutableArrayElement< IWORKShadow, CoreImageFilterInfoElement, IWORKDirectCollector, IWORKToken::NS_URI_SF|IWORKToken::core_image_filter_info, IWORKToken::NS_URI_SF|IWORKToken::core_image_filter_info_ref >::endOfElement(), libetonyek::IWORKStyleContext::endOfElement(), libetonyek::IWORKStylesheetBase::endOfElement(), libetonyek::IWORKTabsElement::endOfElement(), and libetonyek::IWORKUnfilteredElement::endOfElement().

## ◆ setId()

void libetonyek::IWORKXMLContextElement::setId | ( | const char * | value | ) |
| protected

## ◆ text()

void libetonyek::IWORKXMLContextElement::text | ( | const char * | value | ) |
| override protected virtual

Process textual content of an element.

This function can be called more than once if the element has mixed content.

Implements libetonyek::IWORKXMLContext.

## Member Data Documentation

## ◆ m_id

boost::optional<ID_t> libetonyek::IWORKXMLContextElement::m_id
| private

Referenced by attribute(), getId(), IWORKXMLContextElement(), and setId().

The documentation for this class was generated from the following files:

- IWORKXMLContextBase.h
- IWORKXMLContextBase.cpp